Webgen dependencies

Hello,

Today I installed Ruby 1.8.6, then webgen (via gem install).

The gem install did not seem to detect that it needed the redcloth gem,
so I
installed that.

But I still cannot get it to work (parse page files).

Any other gems it needs that are not in the one-click install?

Thanks,
Dave

David Alm wrote:

Hello,

Today I installed Ruby 1.8.6, then webgen (via gem install).

The gem install did not seem to detect that it needed the redcloth gem, so I
installed that.

Actually redcloth is not needed, webgen works without redcloth. You just
won’t have textile support.

But I still cannot get it to work (parse page files).

Any other gems it needs that are not in the one-click install?

http://webgen.rubyforge.org/download.html states what optional packages
it supports.

If you issue

webgen check libs

on the cmd-line you will see what libs webgen detected.

Stefan

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs